Name:           mediawriter
Version:        5.2.5
Release:        %mkrel 1
Summary:        Write Fedora Images to Portable Media
Group:          File tools
License:        GPLv2+
URL:            https://github.com/FedoraQt/MediaWriter
Source0:        https://github.com/FedoraQt/MediaWriter/archive/%{version}/MediaWriter-%{version}.tar.gz

Provides:       liveusb-creator = %{version}-%{release}
Obsoletes:      liveusb-creator < 4.1.5

BuildRequires:  gettext
BuildRequires:  cmake
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  qtbase6-qtpaths
BuildRequires:  pkgconfig(liblzma)

Requires:       qt6-qtdeclarative
Requires:       qt6-qtsvg

Requires:       polkit
Requires:       udisks2

%description
A tool to write images of Fedora media to portable drives
like flash drives or memory cards.

%prep
%autosetup -p1 -n MediaWriter-%{version}

%build
%cmake

%cmake_build

%install
%cmake_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.fedoraproject.MediaWriter.appdata.xml

%files
%doc README.md
%license LICENSE*
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_metainfodir}/org.fedoraproject.MediaWriter.appdata.xml
%{_datadir}/applications/org.fedoraproject.MediaWriter.desktop
%{_datadir}/icons/hicolor/*/apps/org.fedoraproject.MediaWriter.png


%changelog
* Sun May 04 2025 daviddavid <daviddavid> 5.2.5-1.mga10
+ Revision: 2180743
- new version: 5.2.5

* Tue Apr 15 2025 daviddavid <daviddavid> 5.2.4-1.mga10
+ Revision: 2175735
- new version: 5.2.4

* Mon Jan 06 2025 daviddavid <daviddavid> 5.2.3-1.mga10
+ Revision: 2135712
- new version: 5.2.3

* Wed Nov 27 2024 daviddavid <daviddavid> 5.2.1-1.mga10
+ Revision: 2119371
- new version: 5.2.1

* Fri Nov 22 2024 daviddavid <daviddavid> 5.2.0-1.mga10
+ Revision: 2118639
- new version: 5.2.0

* Tue Sep 24 2024 daviddavid <daviddavid> 5.1.3-1.mga10
+ Revision: 2100938
- new version: 5.1.3

* Mon Jul 01 2024 daviddavid <daviddavid> 5.1.2-1.mga10
+ Revision: 2078593
- new version: 5.1.2

* Tue Apr 23 2024 daviddavid <daviddavid> 5.1.1-1.mga10
+ Revision: 2060714
- new version: 5.1.1

* Wed Apr 03 2024 daviddavid <daviddavid> 5.1.0-1.1.mga10
+ Revision: 2054150
- new version: 5.1.0
- drop custom Adwaita style from files

* Mon Jan 01 2024 daviddavid <daviddavid> 5.0.9-1.mga10
+ Revision: 2024969
- new version: 5.0.9

* Sun Dec 04 2022 wally <wally> 5.0.4-1.mga9
+ Revision: 1917656
- new version 5.0.4
- new bersion 5.0.2

* Sat May 21 2022 wally <wally> 5.0.1-1.mga9
+ Revision: 1859702
- new version 5.0.1
- switch to Qt6

* Tue Apr 05 2022 umeabot <umeabot> 4.2.2-2.mga9
+ Revision: 1844487
- Mageia 9 Mass Rebuild

* Fri Jun 25 2021 wally <wally> 4.2.2-1.mga9
+ Revision: 1732171
- new version 4.2.2

* Mon Apr 05 2021 wally <wally> 4.2.1-1.mga9
+ Revision: 1713435
- new version 4.2.1

* Sun Oct 04 2020 wally <wally> 4.1.6-1.mga8
+ Revision: 1632169
- new version 4.1.6

* Sat May 02 2020 wally <wally> 4.1.5-1.mga8
+ Revision: 1577872
- add rpm group
- import based on .spec from Fedora

